---
title: Delete
url: https://docs.vultr.com/products/compute/instances/cloud-compute/management/destroy-instance
description: Learn how to permanently remove a Vultr Cloud Compute instance from your account.
publish_date: 2024-09-23T20:19:50.420783Z
last_updated: 2026-05-26T18:42:36.280789Z
---

# How to Delete a Vultr Cloud Compute Instance

Deleting an instance permanently erases the server's file system and removes all IP information. This action is irreversible and any data on the instance data is lost unless a backup or snapshot is available in your Vultr account.

Follow this guide to delete a Vultr Cloud Compute instance using the Vultr Console, API, CLI, or Terraform.

>[!WARNING]
> Deleting an instance is permanent and irreversible. Take a snapshot of the instance if want to recover the instance at a later time.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Cloud Compute instance to open its management page.
    1. Click **Destroy Server** on the top-right navigation menu to delete the server instance.
    1. Check the confirmation prompt and click **Destroy Server** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```  

    1. Send a `DELETE` request to the [**Delete Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/delete-instance) to delete the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X DELETE \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```  

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Delete the target instance.

        ```console
        $ vultr-cli instance delete <instance_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration and locate the Cloud Compute instance resource.

    1. Remove the resource block or set its lifecycle to destroy.

        ```terraform
        resource "vultr_instance" "cc" {
            label    = "cc-instance-1"
            region   = "del"
            plan     = "vc2-2c-4gb"
            os_id    = 2284
            hostname = "cc-instance-1"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_instance.cc
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
